%define upstream_name    String-BufferStack
%define upstream_version 1.16

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 12

Summary:    Nested buffers for templating systems
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/String/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.420.0
BuildRequires: perl(inc::Module::Install)
BuildArch:  noarch

%description
'String::BufferStack' provides a framework for storing nested buffers. By
default, all of the buffers flow directly to the output method, but
individual levels of the stack can apply filters, or store their output in
a scalar reference.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.yml README SIGNATURE
%{_mandir}/man3/*
%perl_vendorlib/String/


%changelog
* Mon Mar 21 2022 umeabot <umeabot> 1.160.0-12.mga9
+ Revision: 1810240
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.160.0-11.mga8
+ Revision: 1506190
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 1.160.0-10.mga7
+ Revision: 1286121
- Mageia 7 Mass Rebuild

* Tue Oct 03 2017 tv <tv> 1.160.0-9.mga7
+ Revision: 1166644
- rebuild with fixed rpm for missing autodeps

* Wed Sep 27 2017 tv <tv> 1.160.0-8.mga7
+ Revision: 1160353
- add BR on perl(inc::Module::Install)

* Sun Jun 19 2016 pterjan <pterjan> 1.160.0-7.mga6
+ Revision: 1033349
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 1.160.0-6.mga6
+ Revision: 945565
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.160.0-5.mga5
+ Revision: 750904
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.160.0-4.mga5
+ Revision: 686233
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.160.0-3.mga4
+ Revision: 514669
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.160.0-2.mga3
+ Revision: 372777
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Nov 03 2011 jquelin <jquelin> 1.160.0-1.mga2
+ Revision: 162303
- update to 1.16

* Tue Jan 18 2011 jquelin <jquelin> 1.150.0-1.mga1
+ Revision: 22835
- cleaning spec file
- imported package perl-String-BufferStack


* Fri Apr 30 2010 Michael Scherer <misc@mandriva.org> 1.150.0-1mdv2010.1
+ Revision: 541107
- import perl-String-BufferStack


* Fri Apr 30 2010 cpan2dist 1.15-1mdv
- initial mdv release, generated with cpan2dist
